
Summary: META package for the ORACLE instantclient
Name: oracle-instantclient
Version: 1
Release: 1%{?dist}
Epoch:   1
Source0: oracle-instantclient12.1-x86_64.conf
Source1: oracle-instantclient11.2-x86_64.conf
License: GPL
Group: Applications/File
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: x86_64

Requires: oracle-instanclient-meta >= 11.2

%description
This META package provides required dependency chain

%package -n oracle-instantclient11.2
Summary: META package for the ORACLE instantclient 11.2
Requires: oracle-instantclient11.2-basic = 11.2.0.4.0-1
Requires: oracle-instantclient11.2-devel = 11.2.0.4.0-1
Provides: libclntsh.so.11.2()(64bit)
Provides: libocci.so.11.2()(64bit)
Provides: libnnz11.so()(64bit)
Obsoletes: oracle-instantclient-devel
Obsoletes: oracle-instantclient-basic
Requires:  oracle-instantclient-tnsnames.ora
Provides:  oracle-instanclient-meta = 11.2 

%description -n oracle-instantclient11.2
This META package adds rpm provides missing in original Oracle
InstantClient packages and configures system LD_LIBRARY_PATH

%package -n oracle-instantclient12.1
Summary: META package for the ORACLE instantclient 12.1
Requires: oracle-instantclient12.1-basic = 12.1.0.2.0-1
Requires: oracle-instantclient12.1-devel = 12.1.0.2.0-1
Provides: libclntsh.so.12.1()(64bit)
Provides: libocci.so.12.1()(64bit)
Provides: libnnz12.so()(64bit)
Obsoletes: oracle-instantclient-devel
Obsoletes: oracle-instantclient-basic
Requires: oracle-instantclient-tnsnames.ora
Provides:  oracle-instanclient-meta = 12.1

%description -n oracle-instantclient12.1
This META package adds rpm provides missing in original Oracle
InstantClient packages and configures system LD_LIBRARY_PATH


%install

mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d/
install -m 644 %SOURCE0 $RPM_BUILD_ROOT/etc/ld.so.conf.d/
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/ld.so.conf.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n oracle-instantclient12.1

/usr/sbin/ldconfig ||:

%post -n oracle-instantclient11.2

/usr/sbin/ldconfig ||:

%postun -n oracle-instantclient12.1

/usr/sbin/ldconfig ||:

%postun -n oracle-instantclient11.2

/usr/sbin/ldconfig ||:

%files -n oracle-instantclient12.1
%defattr(-,root,root)
/etc/ld.so.conf.d/oracle-instantclient12.1-x86_64.conf

%files -n oracle-instantclient11.2
%defattr(-,root,root)
/etc/ld.so.conf.d/oracle-instantclient11.2-x86_64.conf

%files 
%defattr(-,root,root)



%changelog
* Thu Nov 25 2015 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.1-1

- change numbering schema, repackage to allow multiple versions 
  of instantclient installs.

* Wed Nov 25 2015 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 11.2-1
- turns out we need 11.2 too on 7

* Mon Oct 27 2014 Matthias Schroder <Matthias.Schroder@cern.ch> - 12.1-3
- enable provide for libnnz12.so

* Fri Sep 12 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 12.1-2
- fix reqs/provs.

* Wed Sep 10 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 12.1.0.2
- el7 initial build

